Index: security/sudo/patches/patch-ag
===================================================================
RCS file: /cvsroot/pkgsrc/security/sudo/patches/patch-ag,v
retrieving revision 1.5
diff -u -r1.5 patch-ag
--- security/sudo/patches/patch-ag	19 May 2004 19:26:38 -0000	1.5
+++ security/sudo/patches/patch-ag	8 Jul 2005 21:51:07 -0000
@@ -1,8 +1,8 @@
-$NetBSD: patch-ag,v 1.5 2004/05/19 19:26:38 kim Exp $
+$NetBSD: pkgsrc/security/sudo/patches/patch-af,v 1.13 2004/09/17 09:25:18 cube Exp $
 
---- configure.orig	2003-05-06 11:22:27.000000000 -0400
-+++ configure	2004-05-19 15:17:50.000000000 -0400
-@@ -873,6 +873,7 @@
+--- configure.orig	2004-11-26 21:04:30.000000000 +0100
++++ configure	2005-05-10 21:38:19.000000000 +0200
+@@ -1051,6 +1051,7 @@
    --with-devel            add development options
    --with-efence           link with -lefence for malloc() debugging
    --with-csops            add CSOps standard options
@@ -10,7 +10,7 @@
    --without-passwd        don't use passwd/shadow file for authentication
    --with-skey=DIR       enable S/Key support
    --with-opie=DIR       enable OPIE support
-@@ -1423,7 +1424,6 @@
+@@ -1622,7 +1623,6 @@
  test "$mandir" = '${prefix}/man' && mandir='$(prefix)/man'
  test "$bindir" = '${exec_prefix}/bin' && bindir='$(exec_prefix)/bin'
  test "$sbindir" = '${exec_prefix}/sbin' && sbindir='$(exec_prefix)/sbin'
@@ -18,7 +18,7 @@
  
  
  
-@@ -1622,6 +1622,22 @@
+@@ -1820,6 +1820,22 @@
  fi;
  
  
@@ -41,7 +41,117 @@
  # Check whether --with-passwd or --without-passwd was given.
  if test "${with_passwd+set}" = set; then
    withval="$with_passwd"
-@@ -13230,6 +13246,58 @@
+@@ -5228,7 +5244,7 @@
+   lt_cv_deplibs_check_method=pass_all
+   ;;
+ 
+-freebsd*)
++freebsd*|dragonfly*)
+   if echo __ELF__ | $CC -E - | grep __ELF__ > /dev/null; then
+     case $host_cpu in
+     i*86 )
+@@ -8440,7 +8456,7 @@
+       ;;
+ 
+     # FreeBSD 3 and greater uses gcc -shared to do shared libraries.
+-    freebsd*)
++    dragonfly*|freebsd*)
+       archive_cmds='$CC -shared -o $lib $libobjs $deplibs $compiler_flags'
+       hardcode_libdir_flag_spec='-R$libdir'
+       hardcode_direct=yes
+@@ -9071,11 +9087,11 @@
+   dynamic_linker=no
+   ;;
+ 
+-freebsd*)
++dragonfly*|freebsd*)
+   objformat=`test -x /usr/bin/objformat && /usr/bin/objformat || echo aout`
+   version_type=freebsd-$objformat
+   case $version_type in
+-    freebsd-elf*)
++    dragonfly*|freebsd-elf*)
+       library_names_spec='${libname}${release}${shared_ext}$versuffix ${libname}${release}${shared_ext} $libname${shared_ext}'
+       ;;
+     freebsd-*)
+@@ -11205,7 +11221,7 @@
+   freebsd-elf*)
+     archive_cmds_need_lc_CXX=no
+     ;;
+-  freebsd*)
++  dragonfly*|freebsd*)
+     # FreeBSD 3 and later use GNU C++ and GNU ld with standard ELF
+     # conventions
+     ld_shlibs_CXX=yes
+@@ -12576,11 +12592,11 @@
+   dynamic_linker=no
+   ;;
+ 
+-freebsd*)
++dragonfly*|freebsd*)
+   objformat=`test -x /usr/bin/objformat && /usr/bin/objformat || echo aout`
+   version_type=freebsd-$objformat
+   case $version_type in
+-    freebsd-elf*)
++    dragonfly*|freebsd-elf*)
+       library_names_spec='${libname}${release}${shared_ext}$versuffix ${libname}${release}${shared_ext} $libname${shared_ext}'
+       ;;
+     freebsd-*)
+@@ -14890,7 +14906,7 @@
+       ;;
+ 
+     # FreeBSD 3 and greater uses gcc -shared to do shared libraries.
+-    freebsd*)
++    dragonfly*|freebsd*)
+       archive_cmds_F77='$CC -shared -o $lib $libobjs $deplibs $compiler_flags'
+       hardcode_libdir_flag_spec_F77='-R$libdir'
+       hardcode_direct_F77=yes
+@@ -15521,11 +15537,11 @@
+   dynamic_linker=no
+   ;;
+ 
+-freebsd*)
++dragonfly*|freebsd*)
+   objformat=`test -x /usr/bin/objformat && /usr/bin/objformat || echo aout`
+   version_type=freebsd-$objformat
+   case $version_type in
+-    freebsd-elf*)
++    dragonfly*|freebsd-elf*)
+       library_names_spec='${libname}${release}${shared_ext}$versuffix ${libname}${release}${shared_ext} $libname${shared_ext}'
+       ;;
+     freebsd-*)
+@@ -17123,7 +17139,7 @@
+       ;;
+ 
+     # FreeBSD 3 and greater uses gcc -shared to do shared libraries.
+-    freebsd*)
++    dragonfly*|freebsd*)
+       archive_cmds_GCJ='$CC -shared -o $lib $libobjs $deplibs $compiler_flags'
+       hardcode_libdir_flag_spec_GCJ='-R$libdir'
+       hardcode_direct_GCJ=yes
+@@ -17754,11 +17770,11 @@
+   dynamic_linker=no
+   ;;
+ 
+-freebsd*)
++dragonfly*|freebsd*)
+   objformat=`test -x /usr/bin/objformat && /usr/bin/objformat || echo aout`
+   version_type=freebsd-$objformat
+   case $version_type in
+-    freebsd-elf*)
++    dragonfly*|freebsd-elf*)
+       library_names_spec='${libname}${release}${shared_ext}$versuffix ${libname}${release}${shared_ext} $libname${shared_ext}'
+       ;;
+     freebsd-*)
+@@ -21737,7 +21753,7 @@
+ 		    esac
+ 		fi
+ 		;;
+-    *-*-freebsd*)
++    *-*-freebsd*|*-*-dragonfly*)
+ 		# FreeBSD has a real setreuid(2) starting with 2.1 and
+ 		# backported to 2.0.5.  We just take 2.1 and above...
+ 		case "`echo $host_os | sed 's/^freebsd\([0-9\.]*\).*$/\1/'`" in
+@@ -29049,6 +29065,58 @@
  _ACEOF
  
  	    SUDO_LIBS="${SUDO_LIBS} -lkrb5 -ldes -lcom_err -lasn1"
@@ -100,7 +210,7 @@
  	    echo "$as_me:$LINENO: checking for main in -lroken" >&5
  echo $ECHO_N "checking for main in -lroken... $ECHO_C" >&6
  if test "${ac_cv_lib_roken_main+set}" = set; then
-@@ -13282,7 +13350,6 @@
+@@ -29101,7 +29169,6 @@
    SUDO_LIBS="${SUDO_LIBS} -lroken"
  fi
  
Index: shells/bash/distinfo
===================================================================
RCS file: /cvsroot/pkgsrc/shells/bash/distinfo,v
retrieving revision 1.5
diff -u -r1.5 distinfo
--- shells/bash/distinfo	15 Mar 2005 02:05:49 -0000	1.5
+++ shells/bash/distinfo	8 Jul 2005 21:51:07 -0000
@@ -57,3 +57,4 @@
 SHA1 (patch-ad) = 520fec46aa5df6f41418ce253cef6448dc36cadb
 SHA1 (patch-ae) = 7bacb7ac6835eb64014c744aa48eeecf48960fd8
 SHA1 (patch-af) = 8ce9e6adbda879bd32e3854913df2f6f84e4d9f7
+SHA1 (patch-ag) = 01bca1e1c0fd75293c0a75317adc12fc9e9bb065
Index: shells/bash/patches/patch-ag
===================================================================
RCS file: shells/bash/patches/patch-ag
diff -N shells/bash/patches/patch-ag
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ shells/bash/patches/patch-ag	8 Jul 2005 21:51:07 -0000
@@ -0,0 +1,14 @@
+$NetBSD$
+
+--- builtins/psize.c.orig	2005-07-05 17:39:02.000000000 +0200
++++ builtins/psize.c
+@@ -40,7 +40,9 @@
+ #include "../command.h"
+ #include "../general.h"
+ #include "../sig.h"
++#ifndef errno
+ extern int errno;
++#endif
+ 
+ int nw;
+ 
Index: shells/zsh/Makefile.common
===================================================================
RCS file: /cvsroot/pkgsrc/shells/zsh/Makefile.common,v
retrieving revision 1.24
diff -u -r1.24 Makefile.common
--- shells/zsh/Makefile.common	14 Jun 2005 18:39:29 -0000	1.24
+++ shells/zsh/Makefile.common	8 Jul 2005 21:51:08 -0000
@@ -1,4 +1,4 @@
-# $NetBSD: Makefile.common,v 1.24 2005/06/14 18:39:29 minskim Exp $
+# $NetBSD: pkgsrc/shells/zsh/Makefile.common,v 1.23 2005/04/11 21:47:21 tv Exp $
 
 DISTNAME=       zsh-${ZSH_VERSION}
 CATEGORIES=	shells
@@ -78,6 +78,9 @@
 
 INSTALL_TARGET=	install install.info
 
+pre-install:
+	@cd ${WRKSRC}/Completion; find . -name \*.orig -exec rm \{\} \;
+
 post-install:
 	@${INSTALL_DATA_DIR} ${PREFIX}/share/doc/zsh
 	@cd ${WRKSRC}/Etc; ${INSTALL_DATA} BUGS FAQ 	\
Index: shells/zsh/distinfo
===================================================================
RCS file: /cvsroot/pkgsrc/shells/zsh/distinfo,v
retrieving revision 1.22
diff -u -r1.22 distinfo
--- shells/zsh/distinfo	7 Apr 2005 14:16:41 -0000	1.22
+++ shells/zsh/distinfo	8 Jul 2005 21:51:08 -0000
@@ -1,9 +1,20 @@
-$NetBSD: distinfo,v 1.22 2005/04/07 14:16:41 adam Exp $
+$NetBSD: pkgsrc/shells/zsh/distinfo,v 1.22 2005/04/07 14:16:41 adam Exp $
 
 SHA1 (zsh-4.2.5.tar.bz2) = 4dc142eb37c4dadae29ed7fb51756ed89ba64263
 RMD160 (zsh-4.2.5.tar.bz2) = 10e2319b30d5791d39c0a4488e297d451adbdbe5
 Size (zsh-4.2.5.tar.bz2) = 2074535 bytes
+SHA1 (patch-Completion::BSD::Command::_bsd_pkg) = 73d23bf70bcbb64f8c53be6d51a5899c68aa04de
+SHA1 (patch-Completion::BSD::Command::_chflags) = a10254d6ab2833c412c07ccf2c9850146330b812
+SHA1 (patch-Completion::Unix::Command::_apm) = 82112d5a986a411ef786a77aef8318b0382b55a8
+SHA1 (patch-Completion::Unix::Command::_cvs) = 226bd32c4773f774fc32917995d22e6862c9a29a
+SHA1 (patch-Completion::Unix::Command::_ifconfig) = 7c3c8f0248514d9d5b49aa7614b9d904818ee2ef
+SHA1 (patch-Completion::Unix::Command::_mount) = 8860dff9d404d37c533b4a504deacd2fd53ae75f
+SHA1 (patch-Completion::Unix::Command::_mt) = 63ab6c60ced9797f85fd4f6d66378d075df80d3f
+SHA1 (patch-Completion::Unix::Command::_sysctl) = 94357cd693db8883573d151ada587d97182dbc22
+SHA1 (patch-Completion::Unix::Type::_file_systems) = 5d64cc17df312921be919c4398194c6c14dce769
+SHA1 (patch-Completion::Unix::Type::_net_interfaces) = 0c3c403e35b1ae274874f17eac6807d7b7289ca2
+SHA1 (patch-Src::Modules::zpty.c) = 68349a486e06264a6e07858d1471c56a351929e5
 SHA1 (patch-aa) = 5e5fde0f21a64c2e0579958868b05737ef0c6afb
 SHA1 (patch-ab) = 815de90c379035dbc02b251cee148f6df47f9a65
-SHA1 (patch-ac) = fdcdd3996008a6ce61352251e652d6223fc0b400
+SHA1 (patch-ac) = 821c6f60ddfddb72e14d5a33b1b448b2c5c0a036
 SHA1 (patch-ae) = 7d4514d0bad6553d3c0cf115874bf50ed0da3d48
Index: shells/zsh/patches/patch-Completion::BSD::Command::_chflags
===================================================================
RCS file: shells/zsh/patches/patch-Completion::BSD::Command::_chflags
diff -N shells/zsh/patches/patch-Completion::BSD::Command::_chflags
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ shells/zsh/patches/patch-Completion::BSD::Command::_chflags	8 Jul 2005 21:51:08 -0000
@@ -0,0 +1,11 @@
+--- Completion/BSD/Command/_chflags.orig	2005-05-09 23:55:24.000000000 +0200
++++ Completion/BSD/Command/_chflags	2005-05-09 23:55:03.000000000 +0200
+@@ -25,7 +25,7 @@
+   unset own
+ fi
+ 
+-if [[ $OSTYPE = freebsd* ]]; then
++if [[ $OSTYPE = freebsd* || $OSTYPE = dragonfly* ]]; then
+   flags=( $flags[@]
+     '(nouunlnk)uunlnk[set the user undeletable flag]'
+     '(uunlnk)nouunlnk[unset the user undeletable flag]'
Index: shells/zsh/patches/patch-Completion::Unix::Command::_apm
===================================================================
RCS file: shells/zsh/patches/patch-Completion::Unix::Command::_apm
diff -N shells/zsh/patches/patch-Completion::Unix::Command::_apm
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ shells/zsh/patches/patch-Completion::Unix::Command::_apm	8 Jul 2005 21:51:08 -0000
@@ -0,0 +1,11 @@
+--- Completion/Unix/Command/_apm.orig	2005-05-09 23:57:43.000000000 +0200
++++ Completion/Unix/Command/_apm	2005-05-09 23:58:44.000000000 +0200
+@@ -11,7 +11,7 @@
+     '(-n --noignore)'{-n,--noignore}'[tell the system not to ignore system-generated APM message]' \
+     '(-i --ignore)'{-i,--ignore}'[tell the system to ignore system-generated APM message]' && return
+ 
+-elif [[ $OSTYPE == freebsd* ]]; then
++elif [[ $OSTYPE == freebsd* || $OSTYPE = dragonfly* ]]; then
+ 
+   _arguments \
+     '-a[display AC line status]' \
Index: shells/zsh/patches/patch-Completion::Unix::Command::_cvs
===================================================================
RCS file: shells/zsh/patches/patch-Completion::Unix::Command::_cvs
diff -N shells/zsh/patches/patch-Completion::Unix::Command::_cvs
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ shells/zsh/patches/patch-Completion::Unix::Command::_cvs	8 Jul 2005 21:51:08 -0000
@@ -0,0 +1,11 @@
+--- Completion/Unix/Command/_cvs.orig	2005-05-09 23:57:52.000000000 +0200
++++ Completion/Unix/Command/_cvs	2005-05-09 23:59:19.000000000 +0200
+@@ -7,7 +7,7 @@
+ 
+   # "+Qqrwtnlvb:T:e:d:Hfz:s:xa"
+   case $OSTYPE in
+-  freebsd*|openbsd*)
++  freebsd*|openbsd*|dragonfly*)
+     extra='-R[read only access]'
+     ;;
+   esac
Index: shells/zsh/patches/patch-Completion::Unix::Command::_ifconfig
===================================================================
RCS file: shells/zsh/patches/patch-Completion::Unix::Command::_ifconfig
diff -N shells/zsh/patches/patch-Completion::Unix::Command::_ifconfig
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ shells/zsh/patches/patch-Completion::Unix::Command::_ifconfig	8 Jul 2005 21:51:08 -0000
@@ -0,0 +1,11 @@
+--- Completion/Unix/Command/_ifconfig.orig	2005-05-09 23:57:59.000000000 +0200
++++ Completion/Unix/Command/_ifconfig	2005-05-09 23:58:49.000000000 +0200
+@@ -19,7 +19,7 @@
+       {,-}trailers {,-}link{0,1,2}
+     )
+   ;;
+-  freebsd*)
++  freebsd* | dragonfly*)
+     args=( -s $updown
+       '(-a -l -u -d -m -L 1 *)-C[list interface cloners]'
+       '(-l -C)-m[list supported media]'
Index: shells/zsh/patches/patch-Completion::Unix::Command::_mount
===================================================================
RCS file: shells/zsh/patches/patch-Completion::Unix::Command::_mount
diff -N shells/zsh/patches/patch-Completion::Unix::Command::_mount
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ shells/zsh/patches/patch-Completion::Unix::Command::_mount	8 Jul 2005 21:51:08 -0000
@@ -0,0 +1,38 @@
+--- Completion/Unix/Command/_mount.orig	2005-05-09 23:58:03.000000000 +0200
++++ Completion/Unix/Command/_mount	2005-05-09 23:59:50.000000000 +0200
+@@ -471,7 +471,7 @@
+       'swidth[specify stripe width]:size'
+     )
+     ;;
+-  freebsd*)
++  freebsd*|dragonfly*)
+     _fs_any=(
+       '(sync)async[do all I/O asynchronously]'
+       'current[use current options on already mounted file system]'
+@@ -626,7 +626,7 @@
+     deffs=hsfs
+     typeops=-F
+     ;;
+-  freebsd*)
++  freebsd*|dragonfly*)
+     args=( -s
+       '(:)-a[mount all filesystems in fstab]'
+       '-d[cause everything to be done except for the actual system call]'      
+@@ -700,7 +700,7 @@
+ 	'*:dev or dir:->udevordir'
+       )
+     ;;
+-    freebsd*)
++    freebsd*|dragonfly*)
+       args=(
+ 	'(*)-a[unmount all mounted file systems]'
+ 	'-A[unmount all mounted file systems except the root]'
+@@ -762,7 +762,7 @@
+   fi
+ 
+   case "$OSTYPE" in
+-  freebsd*)
++  freebsd*|dragonfly*)
+     while read mline; do 
+       case $mline[(w)1] in
+ 	\#* )
Index: shells/zsh/patches/patch-Completion::Unix::Command::_mt
===================================================================
RCS file: shells/zsh/patches/patch-Completion::Unix::Command::_mt
diff -N shells/zsh/patches/patch-Completion::Unix::Command::_mt
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ shells/zsh/patches/patch-Completion::Unix::Command::_mt	8 Jul 2005 21:51:08 -0000
@@ -0,0 +1,11 @@
+--- Completion/Unix/Command/_mt.orig	2005-05-09 23:58:35.000000000 +0200
++++ Completion/Unix/Command/_mt	2005-05-09 23:57:23.000000000 +0200
+@@ -44,7 +44,7 @@
+     'densities:explain some common density codes'
+     'datcompression:enquire or set compression status'
+   )
+-elif [[ $OSTYPE = freebsd* ]]; then
++elif [[ $OSTYPE = freebsd* || $OSTYPE = dragonfly* ]]; then
+   cmds=( ${cmds:#(asf|eof):*}
+     'smk:write specified number of setmarks at current position'
+     'fss:forward space by specified number of setmarks'
Index: shells/zsh/patches/patch-Completion::Unix::Command::_sysctl
===================================================================
RCS file: shells/zsh/patches/patch-Completion::Unix::Command::_sysctl
diff -N shells/zsh/patches/patch-Completion::Unix::Command::_sysctl
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ shells/zsh/patches/patch-Completion::Unix::Command::_sysctl	8 Jul 2005 21:51:08 -0000
@@ -0,0 +1,11 @@
+--- Completion/Unix/Command/_sysctl.orig	2005-05-09 23:58:13.000000000 +0200
++++ Completion/Unix/Command/_sysctl	2005-05-09 23:58:54.000000000 +0200
+@@ -13,7 +13,7 @@
+       '(-o)-x[show opaques as well (entire values)]' \
+       '(-a)*:sysctl variable:_multi_parts -i . sysctlvars'
+   ;;
+-  freebsd[0-4].*|darwin*)
++  freebsd[0-4].*|darwin*|dragonfly*)
+     : ${(A)_cache_sysctlvars:=${${$(sysctl -A 2>/dev/null):#[^a-z]*}%%:*}}
+     _arguments -s -A "-*" \
+       '(-w -X *)-a[list all]' \
Index: shells/zsh/patches/patch-Completion::Unix::Type::_file_systems
===================================================================
RCS file: shells/zsh/patches/patch-Completion::Unix::Type::_file_systems
diff -N shells/zsh/patches/patch-Completion::Unix::Type::_file_systems
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ shells/zsh/patches/patch-Completion::Unix::Type::_file_systems	8 Jul 2005 21:51:08 -0000
@@ -0,0 +1,14 @@
+--- Completion/Unix/Type/_file_systems.orig	2005-05-09 23:58:17.000000000 +0200
++++ Completion/Unix/Type/_file_systems	2005-05-10 00:00:42.000000000 +0200
+@@ -16,9 +16,9 @@
+   ;;
+   osf*) fss=( advfs ufs nfs mfs cdfs ) ;;
+   solaris*) fss=( ufs nfs hsfs s5fs pcfs cachefs tmpfs ) ;;
+-  freebsd*)
++  freebsd*|dragonfly*)
+     fss=( cd9660 devfs ext2fs fdesc kernfs linprocfs mfs msdos nfs 
+-          ntfs null nwfs portal procfs std ufs umap union )
++          ntfs null nwfs portal procfs std udf ufs umap union )
+   ;;
+   *)
+     # default for all other systems
Index: shells/zsh/patches/patch-Completion::Unix::Type::_net_interfaces
===================================================================
RCS file: shells/zsh/patches/patch-Completion::Unix::Type::_net_interfaces
diff -N shells/zsh/patches/patch-Completion::Unix::Type::_net_interfaces
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ shells/zsh/patches/patch-Completion::Unix::Type::_net_interfaces	8 Jul 2005 21:51:08 -0000
@@ -0,0 +1,11 @@
+--- Completion/Unix/Type/_net_interfaces.orig	2005-05-09 23:58:21.000000000 +0200
++++ Completion/Unix/Type/_net_interfaces	2005-05-10 00:00:05.000000000 +0200
+@@ -12,7 +12,7 @@
+       disp=(-ld list)
+     fi
+   ;;
+-  darwin*|freebsd*) intf=( $(ifconfig -l) ) ;;
++  darwin*|freebsd*|dragonfly*) intf=( $(ifconfig -l) ) ;;
+   irix*) intf=( ${${${(f)"$(/usr/etc/netstat -i)"}%% *}[2,-1]} ) ;;
+   linux*) intf=( /proc/sys/net/ipv4/conf/*~*(all|default)(N:t) ) ;;
+   *) intf=( $(ifconfig -a|sed -n 's/^\([^ 	:]*\).*/\1/p') ) ;;
Index: shells/zsh/patches/patch-Src::Modules::zpty.c
===================================================================
RCS file: shells/zsh/patches/patch-Src::Modules::zpty.c
diff -N shells/zsh/patches/patch-Src::Modules::zpty.c
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ shells/zsh/patches/patch-Src::Modules::zpty.c	8 Jul 2005 21:51:08 -0000
@@ -0,0 +1,21 @@
+--- Src/Modules/zpty.c.orig	2004-06-03 00:15:01.000000000 +0200
++++ Src/Modules/zpty.c	2005-05-10 00:01:41.000000000 +0200
+@@ -246,15 +246,13 @@
+ #ifdef __linux
+     static char char1[] = "abcdefghijklmnopqrstuvwxyz";
+     static char char2[] = "0123456789abcdef";
+-#else /* __linux */
+-# ifdef __FreeBSD__
++#elif defined(__FreeBSD__) || defined(__DragonFly__)
+     static char char1[] = "pqrsPQRS";
+     static char char2[] = "0123456789abcdefghijklmnopqrstuv";
+-# else /* __FreeBSD__ */
++#else /* __FreeBSD__ || __DragonFly__ */
+     static char char1[] = "pqrstuvwxyzPQRST";
+     static char char2[] = "0123456789abcdef";
+-# endif /* __FreeBSD__ */
+-#endif /* __linux */
++#endif
+ 
+     static char name[11];
+     static int mfd, sfd;
Index: shells/zsh/patches/patch-ac
===================================================================
RCS file: /cvsroot/pkgsrc/shells/zsh/patches/patch-ac,v
retrieving revision 1.18
diff -u -r1.18 patch-ac
--- shells/zsh/patches/patch-ac	7 Apr 2005 14:16:41 -0000	1.18
+++ shells/zsh/patches/patch-ac	8 Jul 2005 21:51:08 -0000
@@ -1,8 +1,8 @@
-$NetBSD: patch-ac,v 1.18 2005/04/07 14:16:41 adam Exp $
+$NetBSD$
 
---- configure.orig	2005-04-04 09:49:26.000000000 +0000
-+++ configure
-@@ -15724,6 +15724,10 @@ echo "${ECHO_T}$zsh_cv_sys_elf" >&6
+--- configure.orig	2005-04-04 11:49:26.000000000 +0200
++++ configure	2005-05-10 00:02:26.000000000 +0200
+@@ -15724,6 +15724,10 @@
          DLLD="${DLLD=$CC}"
          DLLDARG=""
        ;;
@@ -13,7 +13,7 @@
        * )
  	DLLD="${DLLD=ld}"
  	DLLDARG=""
-@@ -15734,6 +15738,7 @@ echo "${ECHO_T}$zsh_cv_sys_elf" >&6
+@@ -15734,6 +15738,7 @@
      case "$host_os" in
        hpux*)   DLLDFLAGS="${DLLDFLAGS=-shared}" ;;
        darwin*) DLCFLAGS="${DLCFLAGS=-fno-common}" ;;
@@ -21,12 +21,12 @@
        *)       DLCFLAGS="${DLCFLAGS=-fPIC}" ;;
      esac
    else
-@@ -15747,7 +15752,7 @@ echo "${ECHO_T}$zsh_cv_sys_elf" >&6
+@@ -15747,7 +15752,7 @@
      esac
    fi
    case "$host_os" in
 -    freebsd*|linux*|irix*|osf*|gnu*) DLLDFLAGS="${DLLDFLAGS=-shared}" ;;
-+    freebsd*|linux*|irix*|osf*|gnu*|interix*) DLLDFLAGS="${DLLDFLAGS=-shared}" ;;
++    freebsd*|linux*|irix*|osf*|gnu*|interix*|dragonfly*) DLLDFLAGS="${DLLDFLAGS=-shared}" ;;
      sunos*)       DLLDFLAGS="${DLLDFLAGS=-assert nodefinitions}" ;;
      sysv4*|esix*) DLLDFLAGS="${DLLDFLAGS=-G $ldflags}" ;;
      netbsd*)      DLLDFLAGS="${DLLDFLAGS=${DLLDARG}-x -shared --whole-archive}" ;;
Index: sysutils/libgtop2/distinfo
===================================================================
RCS file: /cvsroot/pkgsrc/sysutils/libgtop2/distinfo,v
retrieving revision 1.12
diff -u -r1.12 distinfo
--- sysutils/libgtop2/distinfo	26 Apr 2005 21:27:33 -0000	1.12
+++ sysutils/libgtop2/distinfo	8 Jul 2005 21:51:10 -0000
@@ -3,7 +3,19 @@
 SHA1 (libgtop-2.10.1.tar.bz2) = 9c1e29e2008f03415fcf3b530248588a2284f1ac
 RMD160 (libgtop-2.10.1.tar.bz2) = ffde8db00bd1828510b68da135d813f9bd67a55e
 Size (libgtop-2.10.1.tar.bz2) = 750637 bytes
-SHA1 (patch-aa) = 5fe5ccdf8444b3efaaa1bc3cff4c2d4944729f1e
-SHA1 (patch-ab) = 55f4c875e4886194cba25874ab042da8e17261c7
+SHA1 (patch-aa) = bff47596ce03383df3cb8d097268138cb6865298
+SHA1 (patch-ab) = bb44cf8b2904415df7c6c20ad6d3bcfc996cf1dc
 SHA1 (patch-ac) = dea1b6fba42d77a4fe6b2e9269cdab0521d3a305
-SHA1 (patch-ad) = c707545313bd4382825cedde30032f9083003823
+SHA1 (patch-ad) = c693dda2eef870d625d78da8f4e977613358314e
+SHA1 (patch-ae) = 035419a4e8a505c672f727c843dbd977acd8ce35
+SHA1 (patch-af) = 520dbdec4a8cba6e82b08c169d97c3caebacd419
+SHA1 (patch-ag) = 513bb0135755c3230c3da65e48247d8afe59dbda
+SHA1 (patch-ah) = af779ee0302fb3ae0cabd579f9a4772e7214106e
+SHA1 (patch-ai) = 57d891785a45ec532757a48e77adafec091f3953
+SHA1 (patch-aj) = c244b5c60e61594c3d2c0bc95e05e12ad68938db
+SHA1 (patch-ak) = 0a29c6b7daf1ae34b528dbb2535d05009ad61b84
+SHA1 (patch-al) = d214415937d2c227ad1bcb1c14b9ddc001ad7cb4
+SHA1 (patch-am) = 2e10fd8096449ebc3428ef493e1ae4fe61a98e00
+SHA1 (patch-an) = 57a79bddc3f0e8237b72486aa8f8906f318ca38d
+SHA1 (patch-ao) = 72aa455cbc10afc6a744fd0684ec2d7a2e2c19c7
+SHA1 (patch-ap) = 1b842a59b821b2703b68935f59a65ffb6db3a68f
Index: sysutils/libgtop2/patches/patch-aa
===================================================================
RCS file: /cvsroot/pkgsrc/sysutils/libgtop2/patches/patch-aa,v
retrieving revision 1.2
diff -u -r1.2 patch-aa
--- sysutils/libgtop2/patches/patch-aa	4 May 2004 23:36:16 -0000	1.2
+++ sysutils/libgtop2/patches/patch-aa	8 Jul 2005 21:51:10 -0000
@@ -1,8 +1,13 @@
-$NetBSD: patch-aa,v 1.2 2004/05/04 23:36:16 minskim Exp $
+$NetBSD$
 
---- configure.orig	2004-04-07 05:19:43.000000000 -0500
+--- configure.orig	2005-04-09 09:51:09.000000000 +0000
 +++ configure
-@@ -20463,13 +20463,13 @@ echo $ECHO_N "checking for libgtop sysde
+@@ -20137,17 +20137,17 @@ echo $ECHO_N "checking for libgtop sysde
+ 	  libgtop_have_sysinfo=yes
+ 	  libgtop_need_server=no
+ 	  ;;
+-	freebsd*|netbsd*|openbsd*|bsdi*)
++	freebsd*|netbsd*|openbsd*|bsdi*|dragonfly*)
  	  libgtop_sysdeps_dir=freebsd
  	  libgtop_use_machine_h=yes
  	  libgtop_need_server=yes
@@ -18,7 +23,121 @@
  	  ;;
          aix*)
  	  libgtop_sysdeps_dir=aix
-@@ -30110,7 +30110,7 @@ cat >>conftest.$ac_ext <<_ACEOF
+@@ -20195,7 +20195,7 @@ echo "${ECHO_T}$libgtop_sysdeps_dir" >&6
+ 
+ 
+ 	case "$host_os" in
+-	*bsd*)
++	*bsd*|dragonfly*)
+ 
+ for ac_header in net/if_var.h
+ do
+@@ -20367,7 +20367,9 @@ cat >>conftest.$ac_ext <<_ACEOF
+ #include <net/netisr.h>
+ #include <net/route.h>
+ 
+-#if defined(__FreeBSD__) || defined(__NetBSD__)
++#if defined(__DragonFly__)
++#include <net/sppp/if_sppp.h>
++#elif defined(__FreeBSD__) || defined(__NetBSD__)
+ #include <net/if_sppp.h>
+ #else
+ #include <i4b/sppp/if_sppp.h>
+@@ -20441,7 +20443,9 @@ cat >>conftest.$ac_ext <<_ACEOF
+ #include <net/netisr.h>
+ #include <net/route.h>
+ 
+-#if defined(__FreeBSD__) || defined(__NetBSD__)
++#if defined(__DragonFly__)
++#include <net/sppp/if_sppp.h>
++#elif defined(__FreeBSD__) || defined(__NetBSD__)
+ #include <net/if_sppp.h>
+ #else
+ #include <i4b/sppp/if_sppp.h>
+@@ -23796,6 +23800,73 @@ echo "${ECHO_T}no" >&6
+ 
+ fi
+ 
++echo "$as_me:$LINENO: checking for kinfo_get_sched_hz in -lkinfo" >&5
++echo $ECHO_N "checking for kinfo_get_sched_hz in -lkinfo... $ECHO_C" >&6
++if test "${ac_cv_lib_kinfo_kinfo_get_sched_gz+set}" = set; then
++  echo $ECHO_N "(cached) $ECHO_C" >&6
++else
++  ac_check_lib_save_LIBS=$LIBS
++LIBS="-lkinfo  $LIBS"
++cat >conftest.$ac_ext <<_ACEOF
++/* confdefs.h.  */
++_ACEOF
++cat confdefs.h >>conftest.$ac_ext
++cat >>conftest.$ac_ext <<_ACEOF
++/* end confdefs.h.  */
++
++/* Override any gcc2 internal prototype to avoid an error.  */
++#ifdef __cplusplus
++extern "C"
++#endif
++/* We use char because int might match the return type of a gcc2
++   builtin and then its argument prototype would still apply.  */
++char kinfo_get_sched_hz ();
++int
++main ()
++{
++kinfo_get_sched_hz ();
++  ;
++  return 0;
++}
++_ACEOF
++rm -f conftest.$ac_objext conftest$ac_exeext
++if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
++  (eval $ac_link) 2>conftest.er1
++  ac_status=$?
++  grep -v '^ *+' conftest.er1 >conftest.err
++  rm -f conftest.er1
++  cat conftest.err >&5
++  echo "$as_me:$LINENO: \$? = $ac_status" >&5
++  (exit $ac_status); } &&
++	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
++  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
++  (eval $ac_try) 2>&5
++  ac_status=$?
++  echo "$as_me:$LINENO: \$? = $ac_status" >&5
++  (exit $ac_status); }; } &&
++	 { ac_try='test -s conftest$ac_exeext'
++  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
++  (eval $ac_try) 2>&5
++  ac_status=$?
++  echo "$as_me:$LINENO: \$? = $ac_status" >&5
++  (exit $ac_status); }; }; then
++  ac_cv_lib_kinfo_kinfo_get_sched_hz=yes
++else
++  echo "$as_me: failed program was:" >&5
++sed 's/^/| /' conftest.$ac_ext >&5
++
++ac_cv_lib_kinfo_kinfo_get_sched_hz=no
++fi
++rm -f conftest.err conftest.$ac_objext \
++      conftest$ac_exeext conftest.$ac_ext
++LIBS=$ac_check_lib_save_LIBS
++fi
++echo "$as_me:$LINENO: result: $ac_cv_lib_kinfo_kinfo_get_sched_hz" >&5
++echo "${ECHO_T}$ac_cv_lib_kinfo_kinfo_get_sched_hz" >&6
++if test $ac_cv_lib_kinfo_kinfo_get_sched_hz = yes; then
++
++  LIBS="-lkinfo $LIBS"
++fi
+ 
+ 
+ echo "$as_me:$LINENO: checking for vm_statistics in -lmach" >&5
+@@ -29498,7 +29569,7 @@ if test x$cross_compiling = xyes ; then
+         sunos*)
+           fu_cv_sys_stat_statfs4=yes
+           ;;
+-        freebsd*)
++        freebsd* | dragonfly*)
+           fu_cv_sys_stat_statfs2_bsize=yes
+           ;;
+         osf*)
+@@ -30143,7 +30214,7 @@ cat >>conftest.$ac_ext <<_ACEOF
  
  _ACEOF
  if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
Index: sysutils/libgtop2/patches/patch-ab
===================================================================
RCS file: /cvsroot/pkgsrc/sysutils/libgtop2/patches/patch-ab,v
retrieving revision 1.2
diff -u -r1.2 patch-ab
--- sysutils/libgtop2/patches/patch-ab	22 Mar 2005 16:03:37 -0000	1.2
+++ sysutils/libgtop2/patches/patch-ab	8 Jul 2005 21:51:10 -0000
@@ -1,7 +1,16 @@
-$NetBSD: patch-ab,v 1.2 2005/03/22 16:03:37 jmmv Exp $
+$NetBSD$
 
---- sysdeps/freebsd/proctime.c.orig	2005-02-23 09:20:45.000000000 +0100
+--- sysdeps/freebsd/proctime.c.orig	2005-02-23 08:20:45.000000000 +0000
 +++ sysdeps/freebsd/proctime.c
+@@ -57,7 +57,7 @@ glibtop_init_proc_time_p (glibtop *serve
+  * system, and interrupt time usage.
+  */
+ 
+-#ifndef __FreeBSD__
++#if !defined(__FreeBSD__) && !defined(__DragonFly__)
+ 
+ #ifndef __FreeBSD__
+ static void
 @@ -137,11 +137,6 @@ glibtop_get_proc_time_p (glibtop *server
  #if (defined(__NetBSD__) && (__NetBSD_Version__ >= 104000000))
  	if (server->sysdeps.proc_time == 0)
@@ -14,3 +23,35 @@
  #endif
  
  	/* Get the process information */
+@@ -151,7 +146,9 @@ glibtop_get_proc_time_p (glibtop *server
+ 
+ #if defined(__FreeBSD__) && (__FreeBSD_version >= 500013)
+ 	buf->rtime = pinfo [0].ki_runtime;
+-#elif (defined __FreeBSD__) && (__FreeBSD_version <= 500013)
++#elif defined(__DragonFly__)
++	buf->rtime = pinfo[0].kp_eproc.e_uticks / 100000;
++#elif (defined __FreeBSD__) && (__FreeBSD_version <= 500013))
+ 	buf->rtime = pinfo [0].kp_proc.p_runtime;
+ #else
+ 	buf->rtime = tv2sec (pinfo [0].kp_proc.p_rtime);
+@@ -202,7 +199,7 @@ glibtop_get_proc_time_p (glibtop *server
+ 
+ 	glibtop_suid_enter (server);
+ 
+-#elif (__FreeBSD_version <= 500013)
++#elif defined(__DragonFly__) || (defined(__FreeBSD__) || (__FreeBSD_version <= 500013))
+ 
+         if ((pinfo [0].kp_proc.p_flag & P_INMEM) &&
+             kvm_uread (server->machine.kd, &(pinfo [0]).kp_proc,
+@@ -214,7 +211,11 @@ glibtop_get_proc_time_p (glibtop *server
+                        buf->stime = tv2sec (pinfo[0].kp_eproc.e_stats.p_ru.ru_stime);
+                        buf->cutime = tv2sec (pinfo[0].kp_eproc.e_stats.p_cru.ru_utime);
+                        buf->cstime = tv2sec (pinfo[0].kp_eproc.e_stats.p_cru.ru_stime);
++#if defined(__DragonFly__)
++                       buf->start_time = tv2sec (pinfo[0].kp_thread.td_start);
++#else
+                        buf->start_time = tv2sec (pinfo[0].kp_eproc.e_stats.p_start);
++#endif
+                        buf->flags = _glibtop_sysdeps_proc_time_user;
+                        glibtop_suid_leave (server);
+ 		}
Index: sysutils/libgtop2/patches/patch-ad
===================================================================
RCS file: /cvsroot/pkgsrc/sysutils/libgtop2/patches/patch-ad,v
retrieving revision 1.2
diff -u -r1.2 patch-ad
--- sysutils/libgtop2/patches/patch-ad	27 Mar 2005 11:18:37 -0000	1.2
+++ sysutils/libgtop2/patches/patch-ad	8 Jul 2005 21:51:10 -0000
@@ -1,6 +1,6 @@
-$NetBSD: patch-ad,v 1.2 2005/03/27 11:18:37 jmmv Exp $
+$NetBSD$
 
---- sysdeps/freebsd/fsusage.c.orig	2005-02-28 09:54:41.000000000 +0100
+--- sysdeps/freebsd/fsusage.c.orig	2005-02-28 08:54:41.000000000 +0000
 +++ sysdeps/freebsd/fsusage.c
 @@ -1,3 +1,7 @@
 +#ifdef HAVE_CONFIG_H
